commit:     d2cb88ff2099c9715da9d7ecdd0ae8064e99c7cb
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 10 04:20:49 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Oct 10 05:03:15 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d2cb88ff

dev-python/simsimd: Bump to 5.6.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/simsimd/Manifest             |  1 +
 dev-python/simsimd/simsimd-5.6.4.ebuild | 64 +++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-python/simsimd/Manifest b/dev-python/simsimd/Manifest
index 0c2465569d9a..dc861bbd5c99 100644
--- a/dev-python/simsimd/Manifest
+++ b/dev-python/simsimd/Manifest
@@ -1,2 +1,3 @@
 DIST SimSIMD-5.5.0.gh.tar.gz 161540 BLAKE2B 
413f8c4f1a16f3658b553281f381ec736d998618197e5ce76cccb289a7ba73ffc0dafc28472b71c248677cb3a4c55d18c08b2261325b63afe1a8976eb172aafc
 SHA512 
156a2d43f89d9add0f1dab431b028986ace197bb8bc468441cf549ebd7a473515bb14b3969a520709f12fc272f0001a411cf7952fce8c8580c37d5a9be0fcf94
 DIST SimSIMD-5.6.0.gh.tar.gz 163863 BLAKE2B 
bcd13ac719f79cee05e29e9d18ed5d1064228c9dd68535df772fc04f9b2b25584003d47596df8d2bc9f69a860b0c686bda2bbc14ff6c6f70288c38ce7074c2fd
 SHA512 
b924d7fb29437b612fb23d088a732c6af39616ce8a62ddeae44bcaf5501e7d08deba838eb6f1eb8bc9fd684852efce4c7f002c9a3eeac265bfd95d435297f5e2
+DIST SimSIMD-5.6.4.gh.tar.gz 164134 BLAKE2B 
65f0aa8ef132ef9a05a3cac03e6773adfbca1b5860952563ca6e7f7ce322d71d3de137705f9c1fbd1cc53a23feade46fcb1f100e6489e03a1ff51ea5b571c5e9
 SHA512 
f20cd5bb3011e87ceed7f7a6b82b9805fa1b3fb2dc8aadda145d37580573f50bae44442202b5af19a5372e77ac5499ea0015f2e00011a1e8d0272ba991d46606

diff --git a/dev-python/simsimd/simsimd-5.6.4.ebuild 
b/dev-python/simsimd/simsimd-5.6.4.ebuild
new file mode 100644
index 000000000000..633192d3f2c5
--- /dev/null
+++ b/dev-python/simsimd/simsimd-5.6.4.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit distutils-r1 toolchain-funcs
+
+MY_P=SimSIMD-${PV}
+DESCRIPTION="Fastest SIMD-Accelerated Vector Similarity Functions for x86 and 
Arm"
+HOMEPAGE="
+       https://github.com/ashvardanian/SimSIMD/
+       https://pypi.org/project/simsimd/
+"
+# no sdist, as of 4.3.1
+# https://github.com/ashvardanian/SimSIMD/issues/113
+SRC_URI="
+       https://github.com/ashvardanian/SimSIMD/archive/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="openmp"
+
+BDEPEND="
+       test? (
+               dev-python/pytest-repeat[${PYTHON_USEDEP}]
+               dev-python/tabulate[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+pkg_pretend() {
+       if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+               tc-check-openmp
+       fi
+}
+
+pkg_setup() {
+       if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+               tc-check-openmp
+       fi
+}
+
+src_prepare() {
+       sed -i -e '/-O3/d' setup.py || die
+       if ! use openmp; then
+               sed -i -e '/-fopenmp/d' setup.py || die
+       fi
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -p repeat python/test.py
+}

Reply via email to